.menu {
	padding: 0;
	margin: 0;

	list-style-type: none;
}

.menu__item {
	padding: 0;
	margin: 0;
}

.menu__link {
	color: $color-light-primary;
	font-size: $font-size-title-5;
	font-weight: $font-weight-bold;
	line-height: 115%;

	padding: 1rem 0 1rem 2rem;
	display: block;
	position: relative;

	transition: $navItem-hover-transitionSpeed all ease-out;

	&::before {
		content: '';
		display: block;
		width: 3rem;
		height: 3px;
		background-color: $color-light-primary;

		position: absolute;
		top: 50%;
		left: 0;

		transform-origin: left center;
		transform: translateY(-50%) scaleX(0);

		transition: inherit;
	}

	&:hover {
		color: $color-light-primary;
		text-decoration: none;
		cursor: pointer;

		padding-left: 5rem;

		&::before {
			transform: translateY(-50%) scaleX(1);
		}
	}
}